<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.check.dao.ibatis.CheckWindowWorkmanPerformDaoImpl">

    <!-- 字段和属性映射 -->
    <resultMap type="CheckWindowWorkmanPerformEntity" id="CheckWindowWorkmanPerformEntity-Map">
        <id  property="id" column="id" />
        <result property="recordId" column="recordId" />
        <result property="year" column="year" />
        <result property="month" column="month" />
        <result property="windowId" column="windowId" />
        <result property="windowName" column="windowName" />
        <result property="ownerId" column="ownerId" />
        <result property="ownerName" column="ownerName" />
        <result property="deptId" column="deptId" />
        <result property="deptName" column="deptName" />
        <result property="salaId" column="salaId" />
        <result property="salaName" column="salaName" />
        <result property="fromName" column="fromName" />
        <result property="submitDate" column="submitDate" />
        <result property="manageCheckPerson" column="manageCheckPerson" />
        <result property="manageCheckTime" column="manageCheckTime" />
        <result property="manageCheckDesc" column="manageCheckDesc" />
        <result property="manageCheckResult" column="manageCheckResult" />
        <result property="remark" column="remark" />
        <result property="createUserId" column="createUserId" />
        <result property="createTime" column="createTime" />
        <result property="updateUserId" column="updateUserId" />
        <result property="updateTime" column="updateTime" />
        <result property="checkStatus" column="checkStatus" />

    </resultMap>


    <!-- 表所有列 -->
    <sql id="_columns">
        <trim suffixOverrides="," suffix="">
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('id') or colPickMode == 1 and data.containsKey('id')))">
                a.id,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('recordId') or colPickMode == 1 and data.containsKey('recordId')))">
                a.recordId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('year') or colPickMode == 1 and data.containsKey('year')))">
                a.year,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('month') or colPickMode == 1 and data.containsKey('month')))">
                a.month,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('windowId') or colPickMode == 1 and data.containsKey('windowId')))">
                a.windowId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('windowName') or colPickMode == 1 and data.containsKey('windowName')))">
                a.windowName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('ownerId') or colPickMode == 1 and data.containsKey('ownerId')))">
                a.ownerId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('ownerName') or colPickMode == 1 and data.containsKey('ownerName')))">
                a.ownerName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptId') or colPickMode == 1 and data.containsKey('deptId')))">
                a.deptId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptName') or colPickMode == 1 and data.containsKey('deptName')))">
                a.deptName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('salaId') or colPickMode == 1 and data.containsKey('salaId')))">
                a.salaId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('salaName') or colPickMode == 1 and data.containsKey('salaName')))">
                a.salaName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('fromName') or colPickMode == 1 and data.containsKey('fromName')))">
                a.fromName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('submitDate') or colPickMode == 1 and data.containsKey('submitDate')))">
                a.submitDate,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('manageCheckPerson') or colPickMode == 1 and data.containsKey('manageCheckPerson')))">
                a.manageCheckPerson,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('manageCheckTime') or colPickMode == 1 and data.containsKey('manageCheckTime')))">
                a.manageCheckTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('manageCheckDesc') or colPickMode == 1 and data.containsKey('manageCheckDesc')))">
                a.manageCheckDesc,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('manageCheckResult') or colPickMode == 1 and data.containsKey('manageCheckResult')))">
                a.manageCheckResult,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('remark') or colPickMode == 1 and data.containsKey('remark')))">
                a.remark,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createUserId') or colPickMode == 1 and data.containsKey('createUserId')))">
                a.createUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createTime') or colPickMode == 1 and data.containsKey('createTime')))">
                a.createTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateUserId') or colPickMode == 1 and data.containsKey('updateUserId')))">
                a.updateUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateTime') or colPickMode == 1 and data.containsKey('updateTime')))">
                a.updateTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('checkStatus') or colPickMode == 1 and data.containsKey('checkStatus')))">
                a.checkStatus,
            </if>
        </trim>
    </sql>
    <!-- 新增 区分主键自增加还是业务插入 -->
    <insert id="insert" parameterType="CheckWindowWorkmanPerformEntity"  useGeneratedKeys="true" keyProperty="id">
        insert into mortals_xhx_check_window_workman_perform
        (recordId,year,month,windowId,windowName,ownerId,ownerName,deptId,deptName,salaId,salaName,fromName,submitDate,manageCheckPerson,manageCheckTime,manageCheckDesc,manageCheckResult,remark,createUserId,createTime,updateUserId,updateTime,checkStatus)
        VALUES
        (#{recordId},#{year},#{month},#{windowId},#{windowName},#{ownerId},#{ownerName},#{deptId},#{deptName},#{salaId},#{salaName},#{fromName},#{submitDate},#{manageCheckPerson},#{manageCheckTime},#{manageCheckDesc},#{manageCheckResult},#{remark},#{createUserId},#{createTime},#{updateUserId},#{updateTime},#{checkStatus})
    </insert>

    <!-- 批量新增 -->
    <insert id="insertBatch" parameterType="paramDto">
        insert into mortals_xhx_check_window_workman_perform
        (recordId,year,month,windowId,windowName,ownerId,ownerName,deptId,deptName,salaId,salaName,fromName,submitDate,manageCheckPerson,manageCheckTime,manageCheckDesc,manageCheckResult,remark,createUserId,createTime,updateUserId,updateTime,checkStatus)
        VALUES
        <foreach collection="data.dataList" item="item" index="index" separator="," >
            (#{item.recordId},#{item.year},#{item.month},#{item.windowId},#{item.windowName},#{item.ownerId},#{item.ownerName},#{item.deptId},#{item.deptName},#{item.salaId},#{item.salaName},#{item.fromName},#{item.submitDate},#{item.manageCheckPerson},#{item.manageCheckTime},#{item.manageCheckDesc},#{item.manageCheckResult},#{item.remark},#{item.createUserId},#{item.createTime},#{item.updateUserId},#{item.updateTime},#{item.checkStatus})
        </foreach>
    </insert>


    <!-- 根据ParamDto更新 -->
    <update id="update" parameterType="paramDto">
        update mortals_xhx_check_window_workman_perform as a
        set
        <trim suffixOverrides="," suffix="">
            <if test="(colPickMode==0 and data.containsKey('recordId')) or (colPickMode==1 and !data.containsKey('recordId'))">
                a.recordId=#{data.recordId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('recordIdIncrement')) or (colPickMode==1 and !data.containsKey('recordIdIncrement'))">
                a.recordId=ifnull(a.recordId,0) + #{data.recordIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('year')) or (colPickMode==1 and !data.containsKey('year'))">
                a.year=#{data.year},
            </if>
            <if test="(colPickMode==0 and data.containsKey('yearIncrement')) or (colPickMode==1 and !data.containsKey('yearIncrement'))">
                a.year=ifnull(a.year,0) + #{data.yearIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('month')) or (colPickMode==1 and !data.containsKey('month'))">
                a.month=#{data.month},
            </if>
            <if test="(colPickMode==0 and data.containsKey('monthIncrement')) or (colPickMode==1 and !data.containsKey('monthIncrement'))">
                a.month=ifnull(a.month,0) + #{data.monthIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('windowId')) or (colPickMode==1 and !data.containsKey('windowId'))">
                a.windowId=#{data.windowId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('windowIdIncrement')) or (colPickMode==1 and !data.containsKey('windowIdIncrement'))">
                a.windowId=ifnull(a.windowId,0) + #{data.windowIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('windowName')) or (colPickMode==1 and !data.containsKey('windowName'))">
                a.windowName=#{data.windowName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ownerId')) or (colPickMode==1 and !data.containsKey('ownerId'))">
                a.ownerId=#{data.ownerId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ownerIdIncrement')) or (colPickMode==1 and !data.containsKey('ownerIdIncrement'))">
                a.ownerId=ifnull(a.ownerId,0) + #{data.ownerIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ownerName')) or (colPickMode==1 and !data.containsKey('ownerName'))">
                a.ownerName=#{data.ownerName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptId')) or (colPickMode==1 and !data.containsKey('deptId'))">
                a.deptId=#{data.deptId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptIdIncrement')) or (colPickMode==1 and !data.containsKey('deptIdIncrement'))">
                a.deptId=ifnull(a.deptId,0) + #{data.deptIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptName')) or (colPickMode==1 and !data.containsKey('deptName'))">
                a.deptName=#{data.deptName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('salaId')) or (colPickMode==1 and !data.containsKey('salaId'))">
                a.salaId=#{data.salaId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('salaIdIncrement')) or (colPickMode==1 and !data.containsKey('salaIdIncrement'))">
                a.salaId=ifnull(a.salaId,0) + #{data.salaIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('salaName')) or (colPickMode==1 and !data.containsKey('salaName'))">
                a.salaName=#{data.salaName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('fromName')) or (colPickMode==1 and !data.containsKey('fromName'))">
                a.fromName=#{data.fromName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('submitDate')) or (colPickMode==1 and !data.containsKey('submitDate'))">
                a.submitDate=#{data.submitDate},
            </if>
            <if test="(colPickMode==0 and data.containsKey('manageCheckPerson')) or (colPickMode==1 and !data.containsKey('manageCheckPerson'))">
                a.manageCheckPerson=#{data.manageCheckPerson},
            </if>
            <if test="(colPickMode==0 and data.containsKey('manageCheckTime')) or (colPickMode==1 and !data.containsKey('manageCheckTime'))">
                a.manageCheckTime=#{data.manageCheckTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('manageCheckDesc')) or (colPickMode==1 and !data.containsKey('manageCheckDesc'))">
                a.manageCheckDesc=#{data.manageCheckDesc},
            </if>
            <if test="(colPickMode==0 and data.containsKey('manageCheckResult')) or (colPickMode==1 and !data.containsKey('manageCheckResult'))">
                a.manageCheckResult=#{data.manageCheckResult},
            </if>
            <if test="(colPickMode==0 and data.containsKey('remark')) or (colPickMode==1 and !data.containsKey('remark'))">
                a.remark=#{data.remark},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserId')) or (colPickMode==1 and !data.containsKey('createUserId'))">
                a.createUserId=#{data.createUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserIdIncrement')) or (colPickMode==1 and !data.containsKey('createUserIdIncrement'))">
                a.createUserId=ifnull(a.createUserId,0) + #{data.createUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createTime')) or (colPickMode==1 and !data.containsKey('createTime'))">
                a.createTime=#{data.createTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserId')) or (colPickMode==1 and !data.containsKey('updateUserId'))">
                a.updateUserId=#{data.updateUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !data.containsKey('updateUserIdIncrement'))">
                a.updateUserId=ifnull(a.updateUserId,0) + #{data.updateUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateTime')) or (colPickMode==1 and !data.containsKey('updateTime'))">
                a.updateTime=#{data.updateTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('checkStatus')) or (colPickMode==1 and !data.containsKey('checkStatus'))">
                a.checkStatus=#{data.checkStatus},
            </if>
            <if test="(colPickMode==0 and data.containsKey('checkStatusIncrement')) or (colPickMode==1 and !data.containsKey('checkStatusIncrement'))">
                a.checkStatus=ifnull(a.checkStatus,0) + #{data.checkStatusIncrement},
            </if>
        </trim>
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </update>
    <!-- 批量更新 -->
    <update id="updateBatch" parameterType="paramDto">
        update mortals_xhx_check_window_workman_perform as a
        <trim prefix="set" suffixOverrides=",">
            <trim prefix="recordId=(case" suffix="ELSE recordId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('recordId')) or (colPickMode==1 and !item.containsKey('recordId'))">
                            when a.id=#{item.id} then #{item.recordId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('recordIdIncrement')) or (colPickMode==1 and !item.containsKey('recordIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.recordId,0) + #{item.recordIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="year=(case" suffix="ELSE year end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('year')) or (colPickMode==1 and !item.containsKey('year'))">
                            when a.id=#{item.id} then #{item.year}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('yearIncrement')) or (colPickMode==1 and !item.containsKey('yearIncrement'))">
                            when a.id=#{item.id} then ifnull(a.year,0) + #{item.yearIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="month=(case" suffix="ELSE month end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('month')) or (colPickMode==1 and !item.containsKey('month'))">
                            when a.id=#{item.id} then #{item.month}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('monthIncrement')) or (colPickMode==1 and !item.containsKey('monthIncrement'))">
                            when a.id=#{item.id} then ifnull(a.month,0) + #{item.monthIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="windowId=(case" suffix="ELSE windowId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('windowId')) or (colPickMode==1 and !item.containsKey('windowId'))">
                            when a.id=#{item.id} then #{item.windowId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('windowIdIncrement')) or (colPickMode==1 and !item.containsKey('windowIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.windowId,0) + #{item.windowIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="windowName=(case" suffix="ELSE windowName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('windowName')) or (colPickMode==1 and !item.containsKey('windowName'))">
                        when a.id=#{item.id} then #{item.windowName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="ownerId=(case" suffix="ELSE ownerId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('ownerId')) or (colPickMode==1 and !item.containsKey('ownerId'))">
                            when a.id=#{item.id} then #{item.ownerId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('ownerIdIncrement')) or (colPickMode==1 and !item.containsKey('ownerIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.ownerId,0) + #{item.ownerIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="ownerName=(case" suffix="ELSE ownerName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('ownerName')) or (colPickMode==1 and !item.containsKey('ownerName'))">
                        when a.id=#{item.id} then #{item.ownerName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="deptId=(case" suffix="ELSE deptId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('deptId')) or (colPickMode==1 and !item.containsKey('deptId'))">
                            when a.id=#{item.id} then #{item.deptId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('deptIdIncrement')) or (colPickMode==1 and !item.containsKey('deptIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.deptId,0) + #{item.deptIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="deptName=(case" suffix="ELSE deptName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('deptName')) or (colPickMode==1 and !item.containsKey('deptName'))">
                        when a.id=#{item.id} then #{item.deptName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="salaId=(case" suffix="ELSE salaId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('salaId')) or (colPickMode==1 and !item.containsKey('salaId'))">
                            when a.id=#{item.id} then #{item.salaId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('salaIdIncrement')) or (colPickMode==1 and !item.containsKey('salaIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.salaId,0) + #{item.salaIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="salaName=(case" suffix="ELSE salaName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('salaName')) or (colPickMode==1 and !item.containsKey('salaName'))">
                        when a.id=#{item.id} then #{item.salaName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="fromName=(case" suffix="ELSE fromName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('fromName')) or (colPickMode==1 and !item.containsKey('fromName'))">
                        when a.id=#{item.id} then #{item.fromName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="submitDate=(case" suffix="ELSE submitDate end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('submitDate')) or (colPickMode==1 and !item.containsKey('submitDate'))">
                        when a.id=#{item.id} then #{item.submitDate}
                    </if>
                </foreach>
            </trim>
            <trim prefix="manageCheckPerson=(case" suffix="ELSE manageCheckPerson end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('manageCheckPerson')) or (colPickMode==1 and !item.containsKey('manageCheckPerson'))">
                        when a.id=#{item.id} then #{item.manageCheckPerson}
                    </if>
                </foreach>
            </trim>
            <trim prefix="manageCheckTime=(case" suffix="ELSE manageCheckTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('manageCheckTime')) or (colPickMode==1 and !item.containsKey('manageCheckTime'))">
                        when a.id=#{item.id} then #{item.manageCheckTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="manageCheckDesc=(case" suffix="ELSE manageCheckDesc end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('manageCheckDesc')) or (colPickMode==1 and !item.containsKey('manageCheckDesc'))">
                        when a.id=#{item.id} then #{item.manageCheckDesc}
                    </if>
                </foreach>
            </trim>
            <trim prefix="manageCheckResult=(case" suffix="ELSE manageCheckResult end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('manageCheckResult')) or (colPickMode==1 and !item.containsKey('manageCheckResult'))">
                        when a.id=#{item.id} then #{item.manageCheckResult}
                    </if>
                </foreach>
            </trim>
            <trim prefix="remark=(case" suffix="ELSE remark end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('remark')) or (colPickMode==1 and !item.containsKey('remark'))">
                        when a.id=#{item.id} then #{item.remark}
                    </if>
                </foreach>
            </trim>
            <trim prefix="createUserId=(case" suffix="ELSE createUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('createUserId')) or (colPickMode==1 and !item.containsKey('createUserId'))">
                            when a.id=#{item.id} then #{item.createUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('createUserIdIncrement')) or (colPickMode==1 and !item.containsKey('createUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.createUserId,0) + #{item.createUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="createTime=(case" suffix="ELSE createTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('createTime')) or (colPickMode==1 and !item.containsKey('createTime'))">
                        when a.id=#{item.id} then #{item.createTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="updateUserId=(case" suffix="ELSE updateUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('updateUserId')) or (colPickMode==1 and !item.containsKey('updateUserId'))">
                            when a.id=#{item.id} then #{item.updateUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !item.containsKey('updateUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.updateUserId,0) + #{item.updateUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="updateTime=(case" suffix="ELSE updateTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('updateTime')) or (colPickMode==1 and !item.containsKey('updateTime'))">
                        when a.id=#{item.id} then #{item.updateTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="checkStatus=(case" suffix="ELSE checkStatus end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('checkStatus')) or (colPickMode==1 and !item.containsKey('checkStatus'))">
                            when a.id=#{item.id} then #{item.checkStatus}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('checkStatusIncrement')) or (colPickMode==1 and !item.containsKey('checkStatusIncrement'))">
                            when a.id=#{item.id} then ifnull(a.checkStatus,0) + #{item.checkStatusIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
        </trim>
        where id in
        <foreach collection="data.dataList" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </update>
    <!-- 根据主健查询 -->
    <select id="getByKey" parameterType="paramDto" resultMap="CheckWindowWorkmanPerformEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_check_window_workman_perform as a
        where a.id=#{condition.id}
    </select>
    <!-- 根据主健删除 -->
    <delete id="deleteByKey" parameterType="paramDto">
        delete a.* from mortals_xhx_check_window_workman_perform as a where a.id=#{condition.id}
    </delete>
    <!-- 根据主健删除一批，针对单一主健有效 -->
    <delete id="deleteByKeys">
        delete from mortals_xhx_check_window_workman_perform where id in
        <foreach collection="array" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>
    <!-- 根据主健列表删除一批，针对单一主健有效 -->
    <delete id="deleteByKeyList">
        delete from mortals_xhx_check_window_workman_perform where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <!-- 根据对象列表删除一批，针对单一主健有效 -->
    <delete id="deleteByEntityList">
        delete from mortals_xhx_check_window_workman_perform where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </delete>
    <!-- 根据paramDto删除一批 -->
    <delete id="deleteByMap" parameterType="paramDto">
        delete a.* from mortals_xhx_check_window_workman_perform as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </delete>
    <!-- 获取列表 -->
    <select id="getList" parameterType="paramDto" resultMap="CheckWindowWorkmanPerformEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_check_window_workman_perform as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
        <include refid="_orderCols_"/>
    </select>



    <!-- 获取 -->
    <select id="getListCount" parameterType="paramDto" resultType="int">
        select count(1)
        from mortals_xhx_check_window_workman_perform as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </select>
    <!-- 条件映射 -->
    <sql id="_condition_">
        <if test="condition != null and !condition.isEmpty()">
            <!-- 条件映射-普通条件 -->
            <include refid="_condition_param_">
                <property name="_conditionParam_" value="condition"/>
                <property name="_conditionType_" value="and"/>
            </include>
            <!-- 条件映射-集合之间使用AND，集合中元素使用OR-(list[0].1 or list[0].2) and (list[1].3 or list[1].4) -->
            <if test="condition.containsKey('andConditionList') and !condition.andConditionList.isEmpty()">
                and
                <foreach collection="condition.andConditionList" open="(" close=")" index="index" item="andCondition" separator=" and ">
                    <trim prefixOverrides="or" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="andCondition"/>
                            <property name="_conditionType_" value="or"/>
                        </include>
                    </trim>
                </foreach>
            </if>
            <!-- 条件映射-集合之间使用OR，集合中元素使用AND-(list[0].1 and list[0].2) or (list[1].3 and list[1].4) -->
            <if test="condition.containsKey('orConditionList') and !condition.orConditionList.isEmpty()">
                and
                <foreach collection="condition.orConditionList" open="(" close=")" index="index" item="orCondition" separator=" or ">
                    <trim prefixOverrides="and" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="orCondition"/>
                            <property name="_conditionType_" value="and"/>
                        </include>
                    </trim>
                </foreach>
            </if>
        </if>
    </sql>
    <!-- 条件映射-代参数 -->
    <sql id="_condition_param_">
        <bind name="conditionParamRef" value="${_conditionParam_}"/>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null">
                ${_conditionType_} a.id=#{${_conditionParam_}.id}
            </if>
        </if>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null ">
                ${_conditionType_} a.id = #{${_conditionParam_}.id}
            </if>
            <if test="conditionParamRef.id == null">
                ${_conditionType_} a.id is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
            ${_conditionType_} a.id in
            <foreach collection="conditionParamRef.idList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idNotList') and conditionParamRef.idNotList.size() > 0">
            ${_conditionType_} a.id not in
            <foreach collection="conditionParamRef.idNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idStart') and conditionParamRef.idStart != null">
            ${_conditionType_} a.id <![CDATA[ >= ]]> #{${_conditionParam_}.idStart}
        </if>
        <if test="conditionParamRef.containsKey('idEnd') and conditionParamRef.idEnd != null">
            ${_conditionType_} a.id <![CDATA[ <= ]]> #{${_conditionParam_}.idEnd}
        </if>

        <if test="conditionParamRef.containsKey('recordId')">
            <if test="conditionParamRef.recordId != null ">
                ${_conditionType_} a.recordId = #{${_conditionParam_}.recordId}
            </if>
            <if test="conditionParamRef.recordId == null">
                ${_conditionType_} a.recordId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('recordIdList') and conditionParamRef.recordIdList.size() > 0">
            ${_conditionType_} a.recordId in
            <foreach collection="conditionParamRef.recordIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('recordIdNotList') and conditionParamRef.recordIdNotList.size() > 0">
            ${_conditionType_} a.recordId not in
            <foreach collection="conditionParamRef.recordIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('recordIdStart') and conditionParamRef.recordIdStart != null">
            ${_conditionType_} a.recordId <![CDATA[ >= ]]> #{${_conditionParam_}.recordIdStart}
        </if>
        <if test="conditionParamRef.containsKey('recordIdEnd') and conditionParamRef.recordIdEnd != null">
            ${_conditionType_} a.recordId <![CDATA[ <= ]]> #{${_conditionParam_}.recordIdEnd}
        </if>

        <if test="conditionParamRef.containsKey('year')">
            <if test="conditionParamRef.year != null ">
                ${_conditionType_} a.year = #{${_conditionParam_}.year}
            </if>
            <if test="conditionParamRef.year == null">
                ${_conditionType_} a.year is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
            ${_conditionType_} a.year in
            <foreach collection="conditionParamRef.yearList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('yearNotList') and conditionParamRef.yearNotList.size() > 0">
            ${_conditionType_} a.year not in
            <foreach collection="conditionParamRef.yearNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('yearStart') and conditionParamRef.yearStart != null">
            ${_conditionType_} a.year <![CDATA[ >= ]]> #{${_conditionParam_}.yearStart}
        </if>
        <if test="conditionParamRef.containsKey('yearEnd') and conditionParamRef.yearEnd != null">
            ${_conditionType_} a.year <![CDATA[ <= ]]> #{${_conditionParam_}.yearEnd}
        </if>

        <if test="conditionParamRef.containsKey('month')">
            <if test="conditionParamRef.month != null ">
                ${_conditionType_} a.month = #{${_conditionParam_}.month}
            </if>
            <if test="conditionParamRef.month == null">
                ${_conditionType_} a.month is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
            ${_conditionType_} a.month in
            <foreach collection="conditionParamRef.monthList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('monthNotList') and conditionParamRef.monthNotList.size() > 0">
            ${_conditionType_} a.month not in
            <foreach collection="conditionParamRef.monthNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('monthStart') and conditionParamRef.monthStart != null">
            ${_conditionType_} a.month <![CDATA[ >= ]]> #{${_conditionParam_}.monthStart}
        </if>
        <if test="conditionParamRef.containsKey('monthEnd') and conditionParamRef.monthEnd != null">
            ${_conditionType_} a.month <![CDATA[ <= ]]> #{${_conditionParam_}.monthEnd}
        </if>

        <if test="conditionParamRef.containsKey('windowId')">
            <if test="conditionParamRef.windowId != null ">
                ${_conditionType_} a.windowId = #{${_conditionParam_}.windowId}
            </if>
            <if test="conditionParamRef.windowId == null">
                ${_conditionType_} a.windowId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('windowIdList') and conditionParamRef.windowIdList.size() > 0">
            ${_conditionType_} a.windowId in
            <foreach collection="conditionParamRef.windowIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('windowIdNotList') and conditionParamRef.windowIdNotList.size() > 0">
            ${_conditionType_} a.windowId not in
            <foreach collection="conditionParamRef.windowIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('windowIdStart') and conditionParamRef.windowIdStart != null">
            ${_conditionType_} a.windowId <![CDATA[ >= ]]> #{${_conditionParam_}.windowIdStart}
        </if>
        <if test="conditionParamRef.containsKey('windowIdEnd') and conditionParamRef.windowIdEnd != null">
            ${_conditionType_} a.windowId <![CDATA[ <= ]]> #{${_conditionParam_}.windowIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('windowName')">
            <if test="conditionParamRef.windowName != null and conditionParamRef.windowName != ''">
                ${_conditionType_} a.windowName like #{${_conditionParam_}.windowName}
            </if>
            <if test="conditionParamRef.windowName == null">
                ${_conditionType_} a.windowName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('windowNameList') and conditionParamRef.windowNameList.size() > 0">
            ${_conditionType_} a.windowName in
            <foreach collection="conditionParamRef.windowNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('windowNameNotList') and conditionParamRef.windowNameNotList.size() > 0">
            ${_conditionType_} a.windowName not in
            <foreach collection="conditionParamRef.windowNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerId')">
            <if test="conditionParamRef.ownerId != null ">
                ${_conditionType_} a.ownerId = #{${_conditionParam_}.ownerId}
            </if>
            <if test="conditionParamRef.ownerId == null">
                ${_conditionType_} a.ownerId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('ownerIdList') and conditionParamRef.ownerIdList.size() > 0">
            ${_conditionType_} a.ownerId in
            <foreach collection="conditionParamRef.ownerIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerIdNotList') and conditionParamRef.ownerIdNotList.size() > 0">
            ${_conditionType_} a.ownerId not in
            <foreach collection="conditionParamRef.ownerIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerIdStart') and conditionParamRef.ownerIdStart != null">
            ${_conditionType_} a.ownerId <![CDATA[ >= ]]> #{${_conditionParam_}.ownerIdStart}
        </if>
        <if test="conditionParamRef.containsKey('ownerIdEnd') and conditionParamRef.ownerIdEnd != null">
            ${_conditionType_} a.ownerId <![CDATA[ <= ]]> #{${_conditionParam_}.ownerIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('ownerName')">
            <if test="conditionParamRef.ownerName != null and conditionParamRef.ownerName != ''">
                ${_conditionType_} a.ownerName like #{${_conditionParam_}.ownerName}
            </if>
            <if test="conditionParamRef.ownerName == null">
                ${_conditionType_} a.ownerName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('ownerNameList') and conditionParamRef.ownerNameList.size() > 0">
            ${_conditionType_} a.ownerName in
            <foreach collection="conditionParamRef.ownerNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerNameNotList') and conditionParamRef.ownerNameNotList.size() > 0">
            ${_conditionType_} a.ownerName not in
            <foreach collection="conditionParamRef.ownerNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptId')">
            <if test="conditionParamRef.deptId != null ">
                ${_conditionType_} a.deptId = #{${_conditionParam_}.deptId}
            </if>
            <if test="conditionParamRef.deptId == null">
                ${_conditionType_} a.deptId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
            ${_conditionType_} a.deptId in
            <foreach collection="conditionParamRef.deptIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptIdNotList') and conditionParamRef.deptIdNotList.size() > 0">
            ${_conditionType_} a.deptId not in
            <foreach collection="conditionParamRef.deptIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptIdStart') and conditionParamRef.deptIdStart != null">
            ${_conditionType_} a.deptId <![CDATA[ >= ]]> #{${_conditionParam_}.deptIdStart}
        </if>
        <if test="conditionParamRef.containsKey('deptIdEnd') and conditionParamRef.deptIdEnd != null">
            ${_conditionType_} a.deptId <![CDATA[ <= ]]> #{${_conditionParam_}.deptIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('deptName')">
            <if test="conditionParamRef.deptName != null and conditionParamRef.deptName != ''">
                ${_conditionType_} a.deptName like #{${_conditionParam_}.deptName}
            </if>
            <if test="conditionParamRef.deptName == null">
                ${_conditionType_} a.deptName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deptNameList') and conditionParamRef.deptNameList.size() > 0">
            ${_conditionType_} a.deptName in
            <foreach collection="conditionParamRef.deptNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptNameNotList') and conditionParamRef.deptNameNotList.size() > 0">
            ${_conditionType_} a.deptName not in
            <foreach collection="conditionParamRef.deptNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaId')">
            <if test="conditionParamRef.salaId != null ">
                ${_conditionType_} a.salaId = #{${_conditionParam_}.salaId}
            </if>
            <if test="conditionParamRef.salaId == null">
                ${_conditionType_} a.salaId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('salaIdList') and conditionParamRef.salaIdList.size() > 0">
            ${_conditionType_} a.salaId in
            <foreach collection="conditionParamRef.salaIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaIdNotList') and conditionParamRef.salaIdNotList.size() > 0">
            ${_conditionType_} a.salaId not in
            <foreach collection="conditionParamRef.salaIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaIdStart') and conditionParamRef.salaIdStart != null">
            ${_conditionType_} a.salaId <![CDATA[ >= ]]> #{${_conditionParam_}.salaIdStart}
        </if>
        <if test="conditionParamRef.containsKey('salaIdEnd') and conditionParamRef.salaIdEnd != null">
            ${_conditionType_} a.salaId <![CDATA[ <= ]]> #{${_conditionParam_}.salaIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('salaName')">
            <if test="conditionParamRef.salaName != null and conditionParamRef.salaName != ''">
                ${_conditionType_} a.salaName like #{${_conditionParam_}.salaName}
            </if>
            <if test="conditionParamRef.salaName == null">
                ${_conditionType_} a.salaName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('salaNameList') and conditionParamRef.salaNameList.size() > 0">
            ${_conditionType_} a.salaName in
            <foreach collection="conditionParamRef.salaNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaNameNotList') and conditionParamRef.salaNameNotList.size() > 0">
            ${_conditionType_} a.salaName not in
            <foreach collection="conditionParamRef.salaNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('fromName')">
            <if test="conditionParamRef.fromName != null and conditionParamRef.fromName != ''">
                ${_conditionType_} a.fromName like #{${_conditionParam_}.fromName}
            </if>
            <if test="conditionParamRef.fromName == null">
                ${_conditionType_} a.fromName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('fromNameList') and conditionParamRef.fromNameList.size() > 0">
            ${_conditionType_} a.fromName in
            <foreach collection="conditionParamRef.fromNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('fromNameNotList') and conditionParamRef.fromNameNotList.size() > 0">
            ${_conditionType_} a.fromName not in
            <foreach collection="conditionParamRef.fromNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('submitDate')">
            <if test="conditionParamRef.submitDate != null ">
                ${_conditionType_} a.submitDate = #{${_conditionParam_}.submitDate}
            </if>
            <if test="conditionParamRef.submitDate == null">
                ${_conditionType_} a.submitDate is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('submitDateStart') and conditionParamRef.submitDateStart != null and conditionParamRef.submitDateStart!=''">
            ${_conditionType_} a.submitDate <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.submitDateStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('submitDateEnd') and conditionParamRef.submitDateEnd != null and conditionParamRef.submitDateEnd!=''">
            ${_conditionType_} a.submitDate <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.submitDateEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>

        <if test="conditionParamRef.containsKey('manageCheckPerson')">
            <if test="conditionParamRef.manageCheckPerson != null and conditionParamRef.manageCheckPerson != ''">
                ${_conditionType_} a.manageCheckPerson like #{${_conditionParam_}.manageCheckPerson}
            </if>
            <if test="conditionParamRef.manageCheckPerson == null">
                ${_conditionType_} a.manageCheckPerson is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('manageCheckPersonList') and conditionParamRef.manageCheckPersonList.size() > 0">
            ${_conditionType_} a.manageCheckPerson in
            <foreach collection="conditionParamRef.manageCheckPersonList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('manageCheckPersonNotList') and conditionParamRef.manageCheckPersonNotList.size() > 0">
            ${_conditionType_} a.manageCheckPerson not in
            <foreach collection="conditionParamRef.manageCheckPersonNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('manageCheckTime')">
            <if test="conditionParamRef.manageCheckTime != null ">
                ${_conditionType_} a.manageCheckTime = #{${_conditionParam_}.manageCheckTime}
            </if>
            <if test="conditionParamRef.manageCheckTime == null">
                ${_conditionType_} a.manageCheckTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('manageCheckTimeStart') and conditionParamRef.manageCheckTimeStart != null and conditionParamRef.manageCheckTimeStart!=''">
            ${_conditionType_} a.manageCheckTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.manageCheckTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('manageCheckTimeEnd') and conditionParamRef.manageCheckTimeEnd != null and conditionParamRef.manageCheckTimeEnd!=''">
            ${_conditionType_} a.manageCheckTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.manageCheckTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>

        <if test="conditionParamRef.containsKey('manageCheckDesc')">
            <if test="conditionParamRef.manageCheckDesc != null and conditionParamRef.manageCheckDesc != ''">
                ${_conditionType_} a.manageCheckDesc like #{${_conditionParam_}.manageCheckDesc}
            </if>
            <if test="conditionParamRef.manageCheckDesc == null">
                ${_conditionType_} a.manageCheckDesc is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('manageCheckDescList') and conditionParamRef.manageCheckDescList.size() > 0">
            ${_conditionType_} a.manageCheckDesc in
            <foreach collection="conditionParamRef.manageCheckDescList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('manageCheckDescNotList') and conditionParamRef.manageCheckDescNotList.size() > 0">
            ${_conditionType_} a.manageCheckDesc not in
            <foreach collection="conditionParamRef.manageCheckDescNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('manageCheckResult')">
            <if test="conditionParamRef.manageCheckResult != null and conditionParamRef.manageCheckResult != ''">
                ${_conditionType_} a.manageCheckResult like #{${_conditionParam_}.manageCheckResult}
            </if>
            <if test="conditionParamRef.manageCheckResult == null">
                ${_conditionType_} a.manageCheckResult is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('manageCheckResultList') and conditionParamRef.manageCheckResultList.size() > 0">
            ${_conditionType_} a.manageCheckResult in
            <foreach collection="conditionParamRef.manageCheckResultList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('manageCheckResultNotList') and conditionParamRef.manageCheckResultNotList.size() > 0">
            ${_conditionType_} a.manageCheckResult not in
            <foreach collection="conditionParamRef.manageCheckResultNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('remark')">
            <if test="conditionParamRef.remark != null and conditionParamRef.remark != ''">
                ${_conditionType_} a.remark like #{${_conditionParam_}.remark}
            </if>
            <if test="conditionParamRef.remark == null">
                ${_conditionType_} a.remark is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('remarkList') and conditionParamRef.remarkList.size() > 0">
            ${_conditionType_} a.remark in
            <foreach collection="conditionParamRef.remarkList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('remarkNotList') and conditionParamRef.remarkNotList.size() > 0">
            ${_conditionType_} a.remark not in
            <foreach collection="conditionParamRef.remarkNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserId')">
            <if test="conditionParamRef.createUserId != null ">
                ${_conditionType_} a.createUserId = #{${_conditionParam_}.createUserId}
            </if>
            <if test="conditionParamRef.createUserId == null">
                ${_conditionType_} a.createUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
            ${_conditionType_} a.createUserId in
            <foreach collection="conditionParamRef.createUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdNotList') and conditionParamRef.createUserIdNotList.size() > 0">
            ${_conditionType_} a.createUserId not in
            <foreach collection="conditionParamRef.createUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdStart') and conditionParamRef.createUserIdStart != null">
            ${_conditionType_} a.createUserId <![CDATA[ >= ]]> #{${_conditionParam_}.createUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('createUserIdEnd') and conditionParamRef.createUserIdEnd != null">
            ${_conditionType_} a.createUserId <![CDATA[ <= ]]> #{${_conditionParam_}.createUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('createTime')">
            <if test="conditionParamRef.createTime != null ">
                ${_conditionType_} a.createTime = #{${_conditionParam_}.createTime}
            </if>
            <if test="conditionParamRef.createTime == null">
                ${_conditionType_} a.createTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createTimeStart') and conditionParamRef.createTimeStart != null and conditionParamRef.createTimeStart!=''">
            ${_conditionType_} a.createTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('createTimeEnd') and conditionParamRef.createTimeEnd != null and conditionParamRef.createTimeEnd!=''">
            ${_conditionType_} a.createTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateUserId')">
            <if test="conditionParamRef.updateUserId != null ">
                ${_conditionType_} a.updateUserId = #{${_conditionParam_}.updateUserId}
            </if>
            <if test="conditionParamRef.updateUserId == null">
                ${_conditionType_} a.updateUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
            ${_conditionType_} a.updateUserId in
            <foreach collection="conditionParamRef.updateUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdNotList') and conditionParamRef.updateUserIdNotList.size() > 0">
            ${_conditionType_} a.updateUserId not in
            <foreach collection="conditionParamRef.updateUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdStart') and conditionParamRef.updateUserIdStart != null">
            ${_conditionType_} a.updateUserId <![CDATA[ >= ]]> #{${_conditionParam_}.updateUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdEnd') and conditionParamRef.updateUserIdEnd != null">
            ${_conditionType_} a.updateUserId <![CDATA[ <= ]]> #{${_conditionParam_}.updateUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('updateTime')">
            <if test="conditionParamRef.updateTime != null ">
                ${_conditionType_} a.updateTime = #{${_conditionParam_}.updateTime}
            </if>
            <if test="conditionParamRef.updateTime == null">
                ${_conditionType_} a.updateTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateTimeStart') and conditionParamRef.updateTimeStart != null and conditionParamRef.updateTimeStart!=''">
            ${_conditionType_} a.updateTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateTimeEnd') and conditionParamRef.updateTimeEnd != null and conditionParamRef.updateTimeEnd!=''">
            ${_conditionType_} a.updateTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('checkStatus')">
            <if test="conditionParamRef.checkStatus != null ">
                ${_conditionType_} a.checkStatus = #{${_conditionParam_}.checkStatus}
            </if>
            <if test="conditionParamRef.checkStatus == null">
                ${_conditionType_} a.checkStatus is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('checkStatusList') and conditionParamRef.checkStatusList.size() > 0">
            ${_conditionType_} a.checkStatus in
            <foreach collection="conditionParamRef.checkStatusList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('checkStatusNotList') and conditionParamRef.checkStatusNotList.size() > 0">
            ${_conditionType_} a.checkStatus not in
            <foreach collection="conditionParamRef.checkStatusNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('checkStatusStart') and conditionParamRef.checkStatusStart != null">
            ${_conditionType_} a.checkStatus <![CDATA[ >= ]]> #{${_conditionParam_}.checkStatusStart}
        </if>
        <if test="conditionParamRef.containsKey('checkStatusEnd') and conditionParamRef.checkStatusEnd != null">
            ${_conditionType_} a.checkStatus <![CDATA[ <= ]]> #{${_conditionParam_}.checkStatusEnd}
        </if>

    </sql>
    <sql id="_orderCols_">
        <if test="orderColList != null and !orderColList.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('recordIdList') and conditionParamRef.recordIdList.size() > 0">
                field(a.recordId,
                <foreach collection="conditionParamRef.recordIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
                field(a.year,
                <foreach collection="conditionParamRef.yearList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
                field(a.month,
                <foreach collection="conditionParamRef.monthList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('windowIdList') and conditionParamRef.windowIdList.size() > 0">
                field(a.windowId,
                <foreach collection="conditionParamRef.windowIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('ownerIdList') and conditionParamRef.ownerIdList.size() > 0">
                field(a.ownerId,
                <foreach collection="conditionParamRef.ownerIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                field(a.deptId,
                <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('salaIdList') and conditionParamRef.salaIdList.size() > 0">
                field(a.salaId,
                <foreach collection="conditionParamRef.salaIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('checkStatusList') and conditionParamRef.checkStatusList.size() > 0">
                field(a.checkStatus,
                <foreach collection="conditionParamRef.checkStatusList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <foreach collection="orderColList" open="" close="" index="index" item="item" separator=",">
                    a.${item.colName} ${item.sortKind}
                </foreach>
            </trim>
        </if>
        <if test="(orderColList == null or orderColList.isEmpty()) and orderCol != null and !orderCol.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('recordIdList') and conditionParamRef.recordIdList.size() > 0">
                field(a.recordId,
                <foreach collection="conditionParamRef.recordIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
                field(a.year,
                <foreach collection="conditionParamRef.yearList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
                field(a.month,
                <foreach collection="conditionParamRef.monthList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('windowIdList') and conditionParamRef.windowIdList.size() > 0">
                field(a.windowId,
                <foreach collection="conditionParamRef.windowIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('ownerIdList') and conditionParamRef.ownerIdList.size() > 0">
                field(a.ownerId,
                <foreach collection="conditionParamRef.ownerIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                field(a.deptId,
                <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('salaIdList') and conditionParamRef.salaIdList.size() > 0">
                field(a.salaId,
                <foreach collection="conditionParamRef.salaIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('checkStatusList') and conditionParamRef.checkStatusList.size() > 0">
                field(a.checkStatus,
                <foreach collection="conditionParamRef.checkStatusList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <if test="orderCol.containsKey('id')">
                    a.id
                    <if test='orderCol.id != null and "DESC".equalsIgnoreCase(orderCol.id)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('recordId')">
                    a.recordId
                    <if test='orderCol.recordId != null and "DESC".equalsIgnoreCase(orderCol.recordId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('year')">
                    a.year
                    <if test='orderCol.year != null and "DESC".equalsIgnoreCase(orderCol.year)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('month')">
                    a.month
                    <if test='orderCol.month != null and "DESC".equalsIgnoreCase(orderCol.month)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('windowId')">
                    a.windowId
                    <if test='orderCol.windowId != null and "DESC".equalsIgnoreCase(orderCol.windowId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('windowName')">
                    a.windowName
                    <if test='orderCol.windowName != null and "DESC".equalsIgnoreCase(orderCol.windowName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('ownerId')">
                    a.ownerId
                    <if test='orderCol.ownerId != null and "DESC".equalsIgnoreCase(orderCol.ownerId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('ownerName')">
                    a.ownerName
                    <if test='orderCol.ownerName != null and "DESC".equalsIgnoreCase(orderCol.ownerName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deptId')">
                    a.deptId
                    <if test='orderCol.deptId != null and "DESC".equalsIgnoreCase(orderCol.deptId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deptName')">
                    a.deptName
                    <if test='orderCol.deptName != null and "DESC".equalsIgnoreCase(orderCol.deptName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('salaId')">
                    a.salaId
                    <if test='orderCol.salaId != null and "DESC".equalsIgnoreCase(orderCol.salaId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('salaName')">
                    a.salaName
                    <if test='orderCol.salaName != null and "DESC".equalsIgnoreCase(orderCol.salaName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('fromName')">
                    a.fromName
                    <if test='orderCol.fromName != null and "DESC".equalsIgnoreCase(orderCol.fromName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('submitDate')">
                    a.submitDate
                    <if test='orderCol.submitDate != null and "DESC".equalsIgnoreCase(orderCol.submitDate)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('manageCheckPerson')">
                    a.manageCheckPerson
                    <if test='orderCol.manageCheckPerson != null and "DESC".equalsIgnoreCase(orderCol.manageCheckPerson)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('manageCheckTime')">
                    a.manageCheckTime
                    <if test='orderCol.manageCheckTime != null and "DESC".equalsIgnoreCase(orderCol.manageCheckTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('manageCheckDesc')">
                    a.manageCheckDesc
                    <if test='orderCol.manageCheckDesc != null and "DESC".equalsIgnoreCase(orderCol.manageCheckDesc)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('manageCheckResult')">
                    a.manageCheckResult
                    <if test='orderCol.manageCheckResult != null and "DESC".equalsIgnoreCase(orderCol.manageCheckResult)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('remark')">
                    a.remark
                    <if test='orderCol.remark != null and "DESC".equalsIgnoreCase(orderCol.remark)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createUserId')">
                    a.createUserId
                    <if test='orderCol.createUserId != null and "DESC".equalsIgnoreCase(orderCol.createUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createTime')">
                    a.createTime
                    <if test='orderCol.createTime != null and "DESC".equalsIgnoreCase(orderCol.createTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateUserId')">
                    a.updateUserId
                    <if test='orderCol.updateUserId != null and "DESC".equalsIgnoreCase(orderCol.updateUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateTime')">
                    a.updateTime
                    <if test='orderCol.updateTime != null and "DESC".equalsIgnoreCase(orderCol.updateTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('checkStatus')">
                    a.checkStatus
                    <if test='orderCol.checkStatus != null and "DESC".equalsIgnoreCase(orderCol.checkStatus)'>DESC</if>
                    ,
                </if>
            </trim>
        </if>


    </sql>
    <sql id="_group_by_">
        <if test="groupList != null and !groupList.isEmpty()">
            GROUP BY
            <trim suffixOverrides=","  suffix="">
                <foreach collection="groupList" open="" close="" index="index" item="item" separator=",">
                    ${item}
                </foreach>
            </trim>
        </if>
    </sql>
</mapper>